summaryrefslogtreecommitdiff
path: root/dev-python/python-jose/python-jose-3.4.0-r1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-02-15 21:50:55 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-02-15 21:50:55 +0000
commit4540b44fc06d88f61fe449f282e93eb20581dc95 (patch)
tree5f5b5c279d1cbb7f7bfeef8ab3362677a3fa8539 /dev-python/python-jose/python-jose-3.4.0-r1.ebuild
parente84f6493df97257f7a0706489cd51eb0fe6f934d (diff)
downloadbaldeagleos-repo-4540b44fc06d88f61fe449f282e93eb20581dc95.tar.gz
baldeagleos-repo-4540b44fc06d88f61fe449f282e93eb20581dc95.tar.xz
baldeagleos-repo-4540b44fc06d88f61fe449f282e93eb20581dc95.zip
Adding metadata
Diffstat (limited to 'dev-python/python-jose/python-jose-3.4.0-r1.ebuild')
-rw-r--r--dev-python/python-jose/python-jose-3.4.0-r1.ebuild49
1 files changed, 49 insertions, 0 deletions
diff --git a/dev-python/python-jose/python-jose-3.4.0-r1.ebuild b/dev-python/python-jose/python-jose-3.4.0-r1.ebuild
new file mode 100644
index 000000000000..70b6458110ca
--- /dev/null
+++ b/dev-python/python-jose/python-jose-3.4.0-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="A JavaScript Object Signing and Encryption (JOSE) implementation in Python"
+HOMEPAGE="
+ https://github.com/mpdavis/python-jose/
+ https://pypi.org/project/python-jose/
+"
+# pypi tarball lacks unit tests
+SRC_URI="
+ https://github.com/mpdavis/python-jose/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86 ~amd64-linux ~x86-linux"
+
+# TODO: require only one crypto backend?
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/ecdsa[${PYTHON_USEDEP}]
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ >=dev-python/pycryptodome-3.3.1[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ # unpin dependencies
+ sed -i -e 's:, <[0-9.]*::' setup.cfg || die
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -o addopts=
+}